-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local ipmi = require 'manufacture.ipmi.cmds.GetProcessTime'
local mc_ipmi = require 'ipmi'

local cc = mc_ipmi.types.Cc

local ipmi_handler = {}

function ipmi_handler.get_process_time(req, ctx)
    return ipmi.GetProcessTimeRsp.new(cc.Success, 480)  -- 默认的产品bmc服务处理时间为 480s
end

return ipmi_handler
